package liquibase.ext;

import org.junit.Test;

import static org.junit.Assert.assertEquals;

/**
 * Partial test for {@link CustomMSSQLTypeConverter}.
 */
public class CustomMSSQLTypeConverterTest {

    private CustomMSSQLTypeConverter converter = new CustomMSSQLTypeConverter();

    @Test
    public void testGetCharType() throws Exception {
        assertEquals("NCHAR", converter.getCharType().getDataTypeName());
    }

    @Test
    public void testGetVarcharType() throws Exception {
        assertEquals("NVARCHAR", converter.getVarcharType().getDataTypeName());
    }

}
